<%
/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: listContacts.jsp 511428 2007-02-25 03:30:52Z vgritsenko $
 */
%>

<%@ include file="header.jsp" %>

<%@ page session="true" %>
<%@ page import="javax.servlet.http.HttpSession, java.io.* , java.util.*" %>

<FONT SIZE="+2">
   <CENTER>Contacts</CENTER>
</FONT>
<BR>
   
<% // Loop over all entries in session.group, calling showNameLink() on each of them
   if (group.sizeOf() == 0) {
      %> Sorry, No contacts found! <%
   }
   else {
   %>
   <center>
   <table width="80%">
      <tr bgcolor="#C8C8FF"><th>First Name</th><th>Last Name</th><th>Work</th><th>Home</th><th>Cell</th></tr>
   <%
      group.reset();
      int i = 0;
      while ( group.hasMorePersons() ) {
         person = group.getNext();
         %>
         <tr>
            <td align="center">
               <A HREF="/addressbook/Task?action=showcontact&index=<%= group.getIndex() %>"><%= person.getFname() %></A>
            </td>
            <td align="center">
               <A HREF="/addressbook/Task?action=showcontact&index=<%= group.getIndex() %>"><%= person.getLname() %></A>
            </td>
            <td align="center">
               <%= person.getWorkPhone() %>
            </td>
            <td align="center">
               <%= person.getHomePhone() %>
            </td>
            <td align="center">
               <%= person.getCellPhone() %>
            </td>
         </tr>
         <%
      }
   %>
   </table>
   </center>
   <%
   }
%>

<%@ include file="footer.jsp" %>
