<%
/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: index.jsp 511428 2007-02-25 03:30:52Z vgritsenko $
 */
%>

<%@ page import="javax.servlet.*, javax.servlet.http.*" %>


<%@ include file="header.jsp" %>

<B>
   <FONT SIZE="+2">
      <CENTER>Xindice Sample Address Book Application</CENTER>
   </FONT>
   <BR />
   
   <blockquote>
   <p>
      The Address Book sample application serves as a very simple example of
      the applications that can be constructed using Xindice. All data in the
      application is stored as XML and the database is queried using XPath.
   </p>
   
   <p>
      This application isn't intended to show what is unique about an XML
      database, rather it is intended to be familiar and accessible to
      developers who are used to working with other data storage technologies.
      You can view the source code for this application as part of the Xindice
      distribution and it should give you a basic idea of what XML database
      applications look like.
   </p>

   <p>
      The address book data entries look something like the following.
   </p>
   </blockquote>
   <CENTER>
   
   <%
   // Setup person bean to show example xml record
   person.setFname("Homer");
   person.setLname("Simpson");
   person.setWorkPhone("123-456-7890");
   person.setHomePhone("234-567-8901");
   person.setCellPhone("456-789-0123");
   person.setHomeEmail("Homer@home.com");
   person.setWorkEmail("Homer@work.org");
   person.setHomeAddress("1234 W. Springfield");
   person.setWorkAddress("34 N. Atom Way");
   %>
      
   <%@ include file="showXMLInfo.jsp" %>
   
   <BR />
   <BR />   
</B>

<%@ include file="footer.jsp" %>
